Bug 746836 - Review Request: dnssec-system-tray - System Tray for monitoring log files for DNSSEC errors
Summary: Review Request: dnssec-system-tray - System Tray for monitoring log files for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-17 21:53 UTC by Wes Hardaker
Modified: 2011-11-25 02:10 UTC (History)
3 users (show)

Fixed In Version: dnssec-system-tray-1.11.p2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 02:10:52 UTC
Type: ---
pwouters: fedora-review+
jkeating: fedora-cvs+


Attachments (Terms of Use)

Description Wes Hardaker 2011-10-17 21:53:00 UTC
Spec URL: http://www.hardakers.net/temp/dnssec-system-tray.spec
SRPM URL: http://www.hardakers.net/temp/dnssec-system-tray-1.11-2.fc15.src.rpm

Description: A simply system-tray application that monitors log files (eg libval,
 or bind/named logfiles) for DNSSEC error messages that should be
 displayed to the user.

Comment 1 Wes Hardaker 2011-10-17 21:54:31 UTC
Whoops, those URLs are wrong (wrong version number).  Here are the appropriate -1 versions:

Spec URL: http://www.hardakers.net/temp/dnssec-system-tray.spec
SRPM URL: http://www.hardakers.net/temp/dnssec-system-tray-1.11-1.fc15.src.rpm

Comment 2 Wes Hardaker 2011-10-27 21:10:55 UTC
http://www.hardakers.net/temp/dnssec-system-tray-1.11.p2-1.fc15.src.rpm
http://www.hardakers.net/temp/dnssec-system-tray.spec

Updated to the upstream 1.11.p2 to add a man page and COPYING file and fix the .desktop file.

Comment 3 Paul Wouters 2011-11-01 20:39:46 UTC
WARNING: /vol/home/paul/BUILD/dnssec-system-tray-1.11.p2/dnssec-system-tray.pro:11: Unable to find file for inclusion deployment.pri
/vol/home/paul/BUILD/dnssec-system-tray-1.11.p2/dnssec-system-tray.pro:12: Unknown test function: qtcAddDeployment

probably due to older F-14 I'm testing on?

[paul@bofh paul]$ rpmlint /home/paul/SRPMS/dnssec-system-tray-1.11.p2-1.fc14.src.rpm /home/paul/RPMS/x86_64/dnssec-system-tray-1.11.p2-1.fc14.x86_64.rpm /home/paul/RPMS/x86_64/dnssec-system-tray-debuginfo-1.11.p2-1.fc14.x86_64.rpm
dnssec-system-tray.src: W: spelling-error %description -l en_US eg -> Eg, eh, e
dnssec-system-tray.src: W: spelling-error %description -l en_US libval -> lib val, lib-val, Libava
dnssec-system-tray.src: W: spelling-error %description -l en_US logfiles -> log files, log-files, loginess
dnssec-system-tray.x86_64: W: spelling-error %description -l en_US eg -> Eg, eh, e
dnssec-system-tray.x86_64: W: spelling-error %description -l en_US libval -> lib val, lib-val, Libava
dnssec-system-tray.x86_64: W: spelling-error %description -l en_US logfiles -> log files, log-files, loginess
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



MUST items:

* OK: Complies to package nameing guidlines
* OK: matches base package
* OK: Meets package guidelines
* OK: Valid license BSD matches source code
* OK: Written in Americanized engish as required 
* OK: COPYING packaged in %doc
* OK: spec file legible
* OK: source matches upstream source
* OK: package compiles and builds on main architecture
* OK: buildrequires good, rebuilds in mock 
* OK: no bad locale handling
* OK: no libraries, no ldconfig calls in post/postun
* OK: not relocatable
* OK: does not create or need to own directories
* OK: no duplicate files listed
* OK: Does not bundle other libraries
* OK: macro use consistent
* OK: package contains code or permissable content
* OK: no large document files
* OK: no header files in base package
* OK: no static libraries
* OK: no .so files in base package
* OK: no devel package dependancy issues
* OK: package does not contain .la/.a files
* OK: gui dnssec-system-tray.desktop properly installed with desktop-file-install
* OK: Packages must not own files or directories already owned by other
  packages. 
* OK: filenames are valid UTF-8

SHOULD items:

* No translation of description/summary in other languages available
* Reviewer tested build in mock and found no missing BuildRequires
* no scriplets present
* no subpackages present
* no pkgconfig present
* no outside file dependancies
* WARN: missing man page for dnssec-system-tray.  Encourage upstream to write one :)

Note I was told that you should not use macros for mkdir/cp/install. Consider not using %{__mkdir_p} and %{__install}

PASS

Comment 4 Wes Hardaker 2011-11-01 20:55:51 UTC
New Package SCM Request
=======================
Package Name: dnssec-system-tray
Short Description: System Tray for monitoring log files for DNSSEC errors
Owners: hardaker
Branches: f14 f15 f16 el6

Comment 5 Jesse Keating 2011-11-01 22:26:45 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-11-02 18:11:58 UTC
dnssec-system-tray-1.11.p2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dnssec-system-tray-1.11.p2-1.el6

Comment 7 Fedora Update System 2011-11-03 17:28:28 UTC
dnssec-system-tray-1.11.p2-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2011-11-25 02:10:52 UTC
dnssec-system-tray-1.11.p2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.